Package com.google.earth.kml._2

# Class DeleteType

java.lang.Object
com.google.earth.kml._2.DeleteType

public class DeleteType extends Object
<p>Java class for DeleteType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="DeleteType"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element ref="{http://earth.google.com/kml/2.1}Feature" maxOccurs="unbounded" minOccurs="0"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<jakarta.xml.bind.JAXBElement<? extends FeatureType>>`
  `feature`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<jakarta.xml.bind.JAXBElement<? extends FeatureType>>`
  `getFeature()`
  Gets the value of the feature property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### feature

    protected List<jakarta.xml.bind.JAXBElement<? extends FeatureType>> feature

- ## Constructor Details

  - ### DeleteType

    public DeleteType()

- ## Method Details

  - ### getFeature

    public List<jakarta.xml.bind.JAXBElement<? extends FeatureType>> getFeature()
    Gets the value of the feature property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the feature property.

    For example, to add a new item, do as follows:

         getFeature().add(newItem);

    Objects of the following type(s) are allowed in the list `JAXBElement``<``DocumentType``>` `JAXBElement``<``FeatureType``>` `JAXBElement``<``FolderType``>` `JAXBElement``<``GroundOverlayType``>` `JAXBElement``<``NetworkLinkType``>` `JAXBElement``<``PlacemarkType``>` `JAXBElement``<``ScreenOverlayType``>`

    Returns:
      The value of the feature property.